<?php
/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://www.multicollab.com/
 * @since             1.0.0
 * @package           inline-comments-for-post
 *
 * @wordpress-plugin
 * Plugin Name:       Front Inline Comments
 * Description:       Boost engagement with inline commenting, enabling users to leave feedback directly on specific content sections for richer discussions.
 * Version:           1.0.2
 * Author:            Multicollab
 * Author URI:        https://www.multicollab.com/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       inline-comments-for-post
 * Domain Path:       /languages
 */

namespace INLINE_COMMENTS_FOR_POST;

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

define( 'INLINE_COMMENTS_FOR_POST_VERSION', '1.0.2' );
define( 'INLINE_COMMENTS_FOR_POST_URL', plugin_dir_url( __FILE__ ) );
define( 'INLINE_COMMENTS_FOR_POST_DIR', plugin_dir_path( __FILE__ ) );
define( 'INLINE_COMMENTS_FOR_POST_BASEPATH', plugin_basename( __FILE__ ) );
define( 'INLINE_COMMENTS_FOR_POST_SRC_BLOCK_DIR_PATH', untrailingslashit( INLINE_COMMENTS_FOR_POST_DIR . 'assets/build/blocks' ) );
define( 'INLINE_COMMENTS_FOR_POST_LANGUAGE_DIR_PATH', untrailingslashit( INLINE_COMMENTS_FOR_POST_DIR . '/languages' ) );

if ( ! defined( 'INLINE_COMMENTS_FOR_POST_PATH' ) ) {
	define( 'INLINE_COMMENTS_FOR_POST_PATH', __DIR__ );
}

// Load the autoloader.
require_once plugin_dir_path( __FILE__ ) . '/includes/helpers/autoloader.php';

/**
 * Begins execution of the plugin.
 *
 * @return void
 * @since    1.0.0
 */
function run_md_scaffold(): void {
	new \INLINE_COMMENTS_FOR_POST\Includes\Inline_Comments_For_Post();
}
run_md_scaffold();
